<?php
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */

	$_TITLEICON = 'main_ico_alias.gif';
	$_TITLEGRAPHIC = 'main_title_viewaliases.gif';
	$_BUTTON_BACK = true;
	$_BUTTON_BACK_LINK = 'return Back()';
	$_BUTTON_HELP = true;
	$_BUTTON_HELP_LINK = 'return Help(\'a_aliasview\')';

	$_ADDITIONAL_HEADERS = File::parseJS('./admin/aliasview.js');
	$maxfieldlen = 40;

	$alias = new Alias($mail);

	if ($alias == '') {
		$_ALIAS = $mail;
		$lnav = new LNav();
		$lnav->add(getIntlMsg('MSG_LNAV_FINDALIAS'),
			'return Overwrite(\'aliassearch.php\')');
		$lnav->add(getIntlMsg('MSG_LNAV_VIEWALL'),
			'return Overwrite(\'aliasbrowse.php\')');
		$_LOCALNAV = $lnav->render();
		$_DIALOG_CONTENT = File::parseFile('./admin/content/aliasnonesuch.php');
		$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();
		$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');

		return;
	}

	$members = new MemberList($alias, $HTTP_GET_VARS, "member:$_SERIAL");
	$table = $members->getTable();
	include('./admin/template/tablesettings.php');
	$members->setTable($table);

	$_COUNT = $members->count();
	if ($style == 'list') {
		$_TABLE = $members->renderList();
		$_TABLENAV = '';
	} else {
		$_TABLE = $members->render();
		$_TABLENAV = $members->getNav();
	}

	if (count($alias->owners) > 0) {
		unset($tmp);
		foreach ($alias->owners as $owner) {
			$tmp[] = '<a href="userview.php?mail=' .
				rawurlencode($owner) .  '">' . 
				MailAddress::stripLocalDomain($owner) .
				'</a>';
		}
		$_OWNERS = join(getIntlMsg('MSG_LISTSEP') . ' ', $tmp);
		unset($tmp);
	} else {
		$_OWNERS = '&nbsp;';
	}

	
	// Files and programs aren't supported in the backend currently
	/*
	if (count($alias->files) > 1) {
		$_FILES = getIntlMsg('MSG_ALIASES_MULTIPLE_FILES') . ' ' .
			getIntlMsg('MSG_LINK_OPEN') .
			'<a href="#" onClick="return Go(\'aliasfileprog.php?mail=' .
			rawurlencode($alias->mail) . '\')">' .
			getIntlMsg('MSG_ALIASES_MULTIPLE_VIEW_LIST') . '</a>' .
			getIntlMsg('MSG_LINK_CLOSE');
	} elseif (count($alias->files) ==  1) {
		$_FILES = $alias->files[0];
		if (strlen($_FILES) > $maxfieldlen) {
			$_FILES  = substr($_FILES, 0, $maxfieldlen);
			$_FILES .= getIntlMsg('MSG_ELIPSIS');
		}
	} else {
		$_FILES = '&nbsp;';
	}

	if (count($alias->programs) > 1) {
		$_PROGRAMS = getIntlMsg('MSG_ALIASES_MULTIPLE_PROGRAMS') . ' ' .
			getIntlMsg('MSG_LINK_OPEN') .
			'<a href="#" onClick="return Go(\'aliasfileprog.php?mail=' .
			rawurlencode($alias->mail) . '\')">' .
			getIntlMsg('MSG_ALIASES_MULTIPLE_VIEW_LIST') . '</a>' .
			getIntlMsg('MSG_LINK_CLOSE');
	} elseif (count($alias->programs) == 1) {
		$_PROGRAMS = $alias->programs[0];
		if (strlen($_PROGRAMS) > $maxfieldlen) {
			$_PROGRAMS  = substr($_PROGRAMS, 0, $maxfieldlen);
			$_PROGRAMS .= getIntlMsg('MSG_ELIPSIS');
		}
	}  else {
		$_PROGRAMS = '&nbsp;';
	}
	*/

	$lnav = new LNav();
	$lnav->add(getIntlMsg('MSG_LNAV_MODIFY'),
		'return Modify(\'' . $alias->mail . '\')');
	$lnav->add(getIntlMsg('MSG_LNAV_MEMBERS'),
		'return AddMembers(\'' . $alias->mail . '\')');
	$lnav->add(getIntlMsg('MSG_LNAV_OWNERS'),
		'return AddOwners(\'' . $alias->mail . '\')');
	// Files and programs aren't supported in the backend currently
	/*
	$lnav->add(getIntlMsg('MSG_LNAV_PROGRAMS_AND_FILES'),
		'return ProgramsFiles(\'' . $alias->mail . '\')');
	*/
	$lnav->add(getIntlMsg('MSG_LNAV_DELETE'),
		'return Delete(\'' . $alias->mail . '\')');
	$_LOCALNAV = $lnav->render();

	$_DIALOG_CONTENT = File::parseFile('./admin/content/' . $_SELF);
	$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();
	$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');
?>
