<?php
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */

	global $alias;

	$_REQUIRED = getIntlMsg('MSG_REQUIRED_FIELD_MARKER');
	$_FIELDSEP = getIntlMsg('MSG_FIELD_SEP');
?>

<?= getIntlMsg('MSG_REQUIRED_FIELD_NOTICE', $_REQUIRED) ?>
<form name="aliasmodifyForm" action="aliasmodify_action.php" method="post">
<table border="0" cellspacing="1" cellpadding="3" align="left" width="100%">

<tr><td width="140" class="fheader">
<?= Alias::isRequired('mail') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_ALIASES_FIELD_ALIAS') . $_FIELDSEP ?>
</td><td width="200">
<span style="background-color:#ddd;width:145;padding:5,10,5,2"><?= $alias->mail ?></span>
<input type="hidden" name="_mail" value="<?= escQuote($alias->mail) ?>">
</td></tr>

<tr><td width="150" class="fheader">
<?= Alias::isRequired('description') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_ALIASES_FIELD_DESC') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_description" value="<?= escQuote($alias->description) ?>">
</td></tr>

<tr><td class="fheader">
<?= Alias::isRequired('joinable') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_ALIASES_FIELD_MEMBERSHIP') . $_FIELDSEP ?>
</td><td>
<nobr>
<input type="radio" name="_joinable" value="TRUE"
<?= ($alias->joinable) ? "checked=1" : "" ?>>
<?= getIntlMsg('MSG_ALIASES_VALUE_MEMBERSHIP_OPEN') ?>
&nbsp; &nbsp; &nbsp;
<input type="radio" name="_joinable" value="FALSE"
<?= (! $alias->joinable) ? "checked=1" : "" ?>>
<?= getIntlMsg('MSG_ALIASES_VALUE_MEMBERSHIP_RESTRICTED') ?>
</nobr>
</td></tr>

</table>
</form>
