%define name scomsg-libtool
%define version 1.3.5
%define release 1ul

Name        	: %name
Version     	: %version
Release     	: %release
Group       	: Programming/Tools

Summary     	: Legacy OpenLinux library support 

Copyright   	: Free Software Foundation, Inc.; GPL.
Packager    	: caldera.com
Icon        	: Caldera-GNU.gif

BuildRoot  	: %{_tmppath}/%{name}-%{version}

Source		: ftp.gnu.org:/pub/gnu/libtool/libtool-%{version}.tar.gz


%Description
Libtool hides the complexity of generating special library types (such
as shared libraries) behind a consistent interface. 

%Description -l pt_BR
O libtool esconde a complexidade de gerar tipos de bibliotecas especiais (tais
como as bibliotecas dinmicas) por trs de uma interface consistente.

%Description -l de
Libtool verbirgt die Komplexitt des Generieren von speziellen Bibliothekstypen
(so wie Shared Libraries) hinter einer konsistenten Oberflche.

%Description -l es
Libtool oculta toda la complejidad que entraa el crear libreras especiales
(como libreras dinmicas) tras un interfaz ms sencillo.

%Description -l fr
'libtool' masque la complexit de cration des types spciaux de
bibliothques (tels que les bibliothques partages) derrire une
interface cohrente.

%Description -l it
Libtool nasconde la complessit di generare tipi speciali di libreria
(come le librerie condivise) dietro un'interfaccia consistente.

%Description -l pt
O libtool esconde a complexidade de gerar tipos de bibliotecas especiais (tais
como as bibliotecas dinmicas) por trs duma interface consistente.

%Prep		##############################
%setup -q -n libtool-%{version}


%Build		##############################
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

make all

#make check


%Install	##############################
mkdir -p %buildroot

make prefix=%buildroot/usr install


%Clean		##############################
rm -rf %buildroot


%Post
/sbin/ldconfig


%PostUn
/sbin/ldconfig


%Files
%defattr(-,root,root)
/usr/lib/libltdl.so.0.1.2
/usr/lib/libltdl.so.0


%ChangeLog
