<?php
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */
	global $user, $_SESSION_DOMAIN;

	$_REQUIRED = getIntlMsg('MSG_REQUIRED_FIELD_MARKER');
	$_FIELDSEP = getIntlMsg('MSG_FIELD_SEP');
?>
<?= getIntlMsg('MSG_REQUIRED_FIELD_NOTICE', $_REQUIRED) ?>
<form name="usermodifyForm" action="usermodify_action.php" method="post">
<table border="0" width="100%">

<tr><td width="150" class="fheader">
<?= User::isRequired('uid') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_UID') . $_FIELDSEP ?>
</td><td width="350">
<?= $user->uid ?>
<input type="hidden" name="_uid" value="<?= escQuote($user->uid) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('firstname') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_FIRSTNAME') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_firstname" value="<?= escQuote($user->firstname) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('lastname') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_LASTNAME') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_lastname" value="<?= escQuote($user->lastname) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('fullname') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_DISPLAYNAME') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_fullname" value="<?= escQuote($user->fullname) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('mail') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_MAIL') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_mail" value="<?= escQuote($user->shortmail()) ?>">@<?= $_SESSION_DOMAIN ?>
</td></tr>

<tr><td colspan="2"><hr /></td></tr>

<tr><td class="fheader">
<?= User::isRequired('wphone') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_WORKPHONE') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_wphone" value="<?= escQuote($user->wphone) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('mphone') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_MOBILEPHONE') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_mphone" value="<?= escQuote($user->mphone) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('hphone') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_HOMEPHONE') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_hphone" value="<?= escQuote($user->hphone) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('pager') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_PAGER') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_pager" value="<?= escQuote($user->pager) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('fax') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_FAX') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_fax" value="<?= escQuote($user->fax) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('title') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_TITLE') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_title" value="<?= escQuote($user->title) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('location') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_OFFICELOCATION') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_location" value="<?= escQuote($user->location) ?>">
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('altmail') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_ALTMAIL') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_altmail" value="<?= escQuote($user->shortaltmail()) ?>">@<?= $_SESSION_DOMAIN ?>
</td></tr>

<tr><td class="fheader">
<?= User::isRequired('forward') ? $_REQUIRED : '' ?>
<?= getIntlMsg('MSG_USERS_FIELD_FORWARD') . $_FIELDSEP ?>
</td><td>
<input type="text" name="_forward" value="<?= escQuote($user->forward) ?>">
</td></tr>

</table>
</form>
<br />
