<?php
/*
 * Copyright (C) 2002 Caldera International, Inc.  All Rights Reserved.
 */

	$_TITLEICON = 'main_ico_licenses.gif';
	$_TITLEGRAPHIC = 'main_title_licenses.gif';
	$_BUTTON_HELP = true;
	$_BUTTON_HELP_LINK = 'return Help(\'a_licenses\')';

	$licList = new LicenseList($HTTP_GET_VARS, "license:$_SERIAL");
	$table = $licList->getTable();
	include('./admin/template/tablesettings.php');
	$licList->setTable($table);

	$_TABLE = $licList->render();
	$_TABLENAV = $licList->getNav();
	$_COUNT = $licList->count();

	$_UINUSE = $licList->getULicenseInUse();

	$license = new MasterLicense();
	if ($license->isEval()) {

		$_LICENSE_MESSAGE = getIntlMsg(
			'MSG_LICENSE_EVAL_MODE', $license->getDaysLeft());
		$_LICENSE_MESSAGE_HELP = getIntlMsg(
			'MSG_LICENSE_EVAL_MODE_HELP');
		$_UTOTAL = getIntlMsg('MSG_LICENSE_USERS_UNLIMITED',
			getIntlMsg('MSG_LICENSE_EVAL'));
		$_UINUSE = $_UINUSE . ' ' .
			getIntlMsg('MSG_PAREN_OPEN') .
			getIntlMsg('MSG_LICENSE_EVAL') .
			getIntlMsg('MSG_PAREN_CLOSE');
			

	} elseif ($license->noLicense()) {

		/* shouldn't get to this case */

	} else {

		$_UTOTAL = $licList->getULicenseTotal();
		$_UAVAIL = $licList->getULicenseAvailable();

		if ($license->tooManyUsers()) {
			$_LICENSE_MESSAGE = getIntlMsg(
				'MSG_LICENSE_NO_MORE_ULICENSES');
			$_LICENSE_MESSAGE_HELP = getIntlMsg(
				'MSG_LICENSE_NO_MORE_ULICENSES_HELP',
				$license->getLicensedUsers(),
				$license->getUsersInUse());
			$_UINUSE = '<span class="warning">' .
				$_UINUSE . '</span>';
		}

	}

	$lnav = new LNav();
	$lnav->add(getIntlMsg('MSG_LNAV_ADD_LICENSE'),
		"return Overwrite('licenseadd.php')");
	$_LOCALNAV = $lnav->render();

	$_DIALOG_CONTENT = File::parseFile('./admin/content/' . $_SELF);
	$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');
?>
