<?php
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */

	$_ADDITIONAL_HEADERS = File::parseJS('./admin/userquota.js');

	$_TITLEICON = 'main_ico_mailquota.gif';
	$_TITLEGRAPHIC = 'main_title_mailquota.gif';
	$_BUTTON_APPLY = true;
	$_BUTTON_APPLY_LINK = 'return Submit()';
	$_BUTTON_BACK = true;
	$_BUTTON_CANCEL = true;
	$_BUTTON_HELP = true;
	$_BUTTON_HELP_LINK = 'return Help(\'a_userquota\')';

	$user = new User($uid);

	if ($user == '') {
		gotoURL("usernonesuch.php?_uid=$uid&serial=$_SERIAL");
		return;
	}

	$_UID = $user->uid;
	$_USER = $user->display();

	$_QUOTA = $user->getQuota();
	if ($_QUOTA === false) {
		$_QUOTA = getIntlMsg( 'MSG_USERS_VALUE_QUOTA_NONE');
	}

	$_QUOTA_USED = $user->getQuotaUsed();
	if ($_QUOTA_USED === false) {
		$_QUOTA_USED_VALUE = '0';
		$_QUOTA_USED = getIntlMsg('MSG_USERS_VALUE_QUOTA_NA');
	} else {
		$_QUOTA_USED_VALUE = $_QUOTA_USED;
		$_QUOTA_USED .= ' ' . getIntlMsg('MSG_USERS_VALUE_QUOTA_UNIT'); 
	}

	$_QUOTA_FREE = $user->getQuotaFree();
	if ($_QUOTA_FREE === false) {
		$_QUOTA_FREE = getIntlMsg( 'MSG_USERS_VALUE_QUOTA_NA');
	} else {
		$_QUOTA_FREE .= ' ' . getIntlMsg('MSG_USERS_VALUE_QUOTA_UNIT'); 
	}

	$_QUOTA_PERCENT = $user->getQuotaPercent();
	if ($_QUOTA_PERCENT === false) {
		$_QUOTA_PERCENT = getIntlMsg( 'MSG_USERS_VALUE_QUOTA_NA');
	}

	if (is_numeric($user->quota)) {
		$_BUTTON_REMOVE = true;
		$_BUTTON_REMOVE_LINK = 'return Remove()';
	}

	$lnav = new LNav();
	$lnav->add(getIntlMsg('MSG_LNAV_VIEWUSER'),
		"return View('$uid')");
	$_LOCALNAV = $lnav->render();
	

	$_DIALOG_CONTENT = File::parseFile('./admin/content/' . $_SELF);
	$_DIALOG_CONTENT .= "\n" . DomainDropList::disable();
	$_ACTIVE_AREA = File::parseFile('./admin/template/dialog.html');

?>
