<?
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */

if ($session_user == "") {

	if ($cmd == "auth" && $user != "") {
		$user = strtolower($user);
		if (Authenticate::authorize($user, $passwd)) {
			$session_user = $user;
			Authenticate::encryptPassword($passwd);
		
			// the x=1 is to keep netscape from getting confused
			gotoURL('auth.php?x=1');
			return;
		}
	}

        if (count($LAST_ERROR) > 0) {
                $errors = $LAST_ERROR;
                $exit = $LAST_ERROR_EXIT;
 
                $passthru_error = stdErrorMsg($errors, $exit);
        }

	gotoURL('login.php?auth=failed');
	return;

} else {

	$session_domain = Authenticate::defaultDomain($session_dn);
	
	// verification of backend authentication functionality
	$user = new User($session_user);
	if ($user == "") {
		if (substr($LAST_ERROR[0], 0, 10) == 'ERROR:100:') {
			$val = 'license100';
		} elseif (substr($LAST_ERROR[0], 0, 10) == 'ERROR:101:') {
			$val = 'license101';
		} else {
			unset($LAST_ERROR);
			$LAST_ERROR[] = getIntlMsg('ERR_AUTH_PARTIAL');
			$LAST_ERROR[] = getIntlMsg('ERR_AUTH_NOUTILS');

			$passthru_error = stdErrorMsg($errors, $exit);
			$val = 'forcelogout';
		}
		gotoURL('login.php?auth=' . $val);
		return;
	}


	if (! isAdmin()) {
		$session_perms = new Server();
	}

	gotoURL('index.php');
	return;

}

?>
