<?php
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */

	$_ADDITIONAL_HEADERS = '
	<script language="JavaScript" src="../login/login.js"></script>
	';
	$_ADDITIONAL_BODY = 'onload="Focus()"';

	$_TITLEICON = 'main_ico_login.gif';
	$_TITLEGRAPHIC = 'main_title_welcome.gif';
	$_BUTTON_LOGOUT = false;
	$_BUTTON_LOGIN = true;
	$_BUTTON_LOGIN_LINK = 'return Submit()';
	$_BUTTON_CLOSE = true;
	$_BUTTON_CLOSE_LINK = 'return Close()';
	$_BUTTON_HELP = true;
	$_BUTTON_HELP_LINK  = 'return Help(\'login\')';
	$_FORM_ACTION = 'auth.php';
	$_PAGE_TITLE = getIntlMsg('MSG_LOGINWINDOW_TITLE');

	if ($auth == 'failed' ) {

		$_MESSAGE = getIntlMsg('ERR_LOGIN_FAILED');
		$_MESSAGE_HELP = getIntlMsg('ERR_LOGIN_FAILED_HELP');
		if ($passthru_error != '') {
			$_ERRORS = $passthru_error;
		}

	} elseif ($auth == 'license100') {

		$_MESSAGE = '<span class="failure">' .
			getIntlMsg('ERR_LOGIN_LICENSE_FATAL') . '</span>';
		$_MESSAGE_HELP = '';
		$_ERRORS = getIntlMsg('ERR_LOGIN_LICENSE_FATAL_DETAIL');

	} elseif ($auth == 'license101') {

		$_MESSAGE = '<span class="failure">' .
			getIntlMsg('ERR_LOGIN_LICENSE_EXPIRED') . '</span>';
		$_MESSAGE_HELP = '';
		$_ERRORS = getIntlMsg('ERR_LOGIN_LICENSE_EXPIRED_DETAIL');

	} elseif ($auth == 'forcelogout') {

		$_MESSAGE = '<span class="failure">' .
			getIntlMsg('ERR_LOGIN_FORCEDLOGUOUT') . '</span>';
		$_MESSAGE_HELP = getIntlMsg('MSG_LOGIN_FAILED_HELP');
		$_ERRORS = getIntlMsg('ERR_AUTH_PARTIAL') . '<br>' .
			getIntlMsg('ERR_AUTH_NOUTILS');

	} elseif ($auth == 'logout') {

		$_MESSAGE = getIntlMsg('MSG_LOGOUT_SUCCESS');
		$_MESSAGE_HELP = '&nbsp;';
	
	} else {

		$_MESSAGE = '&nbsp;';
		$_MESSAGE_HELP = '&nbsp;';

	}

	$license = new MasterLicense();
	if ($license->noLicense()) {

		if ($auth != 'license101') {
			$_ERRORS .= '<br><span class="warning">' . 
				getIntlMsg('MSG_LOGIN_LICENSE_EVAL_EXPIRED') .
				'</span>';
		}
		$_MESSAGE_HELP .= '<br>' . 
			getIntlMsg('MSG_LOGIN_LICENSE_EVAL_EXPIRED_HELP');

	} elseif ($license->isEval()) {

		$_ERRORS .= '<br><span class="warning">' . 
			getIntlMsg('MSG_LOGIN_LICENSE_EVAL', $license->getDaysLeft()) .
			'</span>';
	} elseif ($license->tooManyUsers()) {
		$_ERRORS .= '<br><span class="warning">' . 
			getIntlMsg('MSG_LOGIN_LICENSE_TOO_MANY_USERS') .
			'</span>';
		$_MESSAGE_HELP .= '<br>' .
			getIntlMsg('MSG_LOGIN_LICENSE_TOO_MANY_USERS_HELP', 
				$license->getLicensedUsers(),
				$license->getUsersInUse());
	}

	$_DIALOG_CONTENT = File::parseFile('./login/content/login.php');
?>
