<?php
/*
 * Copyright (C) 2001-2002 Caldera International, Inc.  All Rights Reserved.
 */
	global $user, $_HOST, $session_dn, $LDAPSuffix, $_HELP;
	global $PHPSESSID, $_SESSION_KEY, $_LDAPHOST, $_LDAPPORT;
	global $_LANG, $_LANG_CHARSET;

	$_SESSION = rawurlencode($PHPSESSID);
	$_SESSION_KEY = rawurlencode($_SESSION_KEY);
	$_FIELDSEP = getIntlMsg('MSG_FIELD_SEP');
?>

<table width="100%" border="0" cellspacing="1" cellpadding="3" align="left">

<tr><td colspan="2" class="fheader">
<?= getIntlMsg('MSG_CLIENT_HEADING_OUTLOOK') ?>
</td></tr>

<tr><td>
<a href="#configure" onClick="return Download('<?= $user->uid ?>', '<?= $_SESSION ?>', '<?= $_LANG_CHARSET ?>', '<?= $_SESSION_KEY ?>')" alt="Configure"><img src="../lang/<?= $_LANG ?>/images/main_b_configure.gif" width="60" height="25" alt="Configure" border="0"></a>
</td><td>
<?= getIntlMsg('MSG_CLIENT_OUTLOOK_AUTO') ?>
</td></tr>


<tr><td colspan="2">
	<hr />
</td></tr>

<tr><td colspan="2" class="fheader">
<?= getIntlMsg('MSG_CLIENT_HEADING_OTHER') ?>
</td></tr>

<tr><td colspan="2">
<?= getIntlMsg('MSG_CLIENT_MANUAL') ?>
</td></tr>

<tr><td colspan="2" bgcolor="#dddddd">
<?= getIntlMsg('MSG_CLIENT_SECTION_EMAIL') ?>
</td></tr>

<tr><td width="150" class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_MAILACCOUNT') . $_FIELDSEP ?>
</td><td class="fdata">
<?= getIntlMsg('MSG_CLIENT_VALUE_MAILACCOUNT') ?>
</td></tr>

<tr><td width="150" class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_NAME') . $_FIELDSEP ?>
</td><td class="fdata">
<?= $user->fullname ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_EMAILADDR') . $_FIELDSEP ?>
</td><td class="fdata">
<?= $user->mail ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_SERVERTYPE') . $_FIELDSEP ?>
</td><td class="fdata">
<?= getIntlMsg('MSG_CLIENT_VALUE_SERVERTYPE') ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_INCOMING') . $_FIELDSEP ?>
</td><td class="fdata">
<?= $_HOST ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_OUTGOING') . $_FIELDSEP ?>
</td><td class="fdata">
<?= $_HOST ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_ACCOUNTNAME') . $_FIELDSEP ?>
</td><td class="fdata">
<?= $user->uid ?>
</td></tr>

<tr><td colspan="2">
&nbsp;
</td></tr>

<tr><td colspan="2" bgcolor="#dddddd">
<?= getIntlMsg('MSG_CLIENT_SECTION_DIRECTORY') ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_DIRECTORY') . $_FIELDSEP ?>
</td><td class="fdata">
<?= getIntlMsg('MSG_CLIENT_VALUE_DIRECTORY') ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_SERVER') . $_FIELDSEP ?>
</td><td class="fdata">
<?= $_LDAPHOST ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_PORT') . $_FIELDSEP ?>
</td><td class="fdata">
<?= $_LDAPPORT ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_AUTHENTICATE') . $_FIELDSEP ?>
</td><td class="fdata">
<input type="checkbox" checked="1">
<?= getIntlMsg('MSG_CLIENT_VALUE_AUTHENTICATE') ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_ACCOUNTNAME') . $_FIELDSEP ?>
</td><td class="fdata">
<?= $session_dn ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_PASSWORD') . $_FIELDSEP ?>
</td><td class="fdata">
<?= getIntlMsg('MSG_CLIENT_VALUE_PASSWORD') ?>
</td></tr>

<tr><td class="fheader">
<?= getIntlMsg('MSG_CLIENT_FIELD_SEARCHBASE') . $_FIELDSEP ?>
</td><td class="fdata">
<?= $LDAPSuffix ?>

</td></tr>

<tr><td> <br /> &nbsp; </td></tr>
</table>

