<?php 
/*
 * Copyright (C) 2002 Caldera International, Inc.  All Rights Reserved.
 */

	$user = new User($session_user);
	if ($user == '') {
		gotoURL("usernonesuch.php?_uid=$session_user&serial=$_SERIAL");
		return;
	}

	$_TITLEICON = 'main_ico_junkmail.gif';
	$_TITLEGRAPHIC = 'main_title_junkmail.gif';
	$_BUTTON_HELP = true;
	$_BUTTON_HELP_LINK = "return Help('u_junkmail')";

	$rule = new RuleFactory($_class, $_address);
	if ($user->addRule($rule)) {

		$_TITLE = '';
		$_MESSAGE = getIntlMsg('MSG_USERS_RULE_ADD_SUCCESS', $rule->getId(), $rule->getClassName());

		$lnav = new LNav();
		$lnav->add(getIntlMsg('MSG_LNAV_ADD_ANOTHER'), 
			"return Overwrite('ruleadd.php')");
		$lnav->add(getIntlMsg('MSG_LNAV_JUNKMAIL_SETTINGS'), 
			"return Overwrite('junkmail.php')");
		$_LOCALNAV = $lnav->render();

		$_DIALOG_CONTENT = File::parseFile('./user/content/action_complete.php');
		$_ACTIVE_AREA = File::parseFile('./user/template/dialog.html');

	} else {

		$_TITLE   = '';
		$_MESSAGE = getIntlMsg('MSG_USERS_RULE_ADD_FAILURE', $rule->getId(), $rule->getClassName());
		$_ERRORS  = stdErrorMsg($LAST_ERROR, $LAST_ERROR_EXIT);
		$_BUTTON_RETRY = true;
		$_BUTTON_RETRY_LINK = "return Overwrite('ruleadd.php')";
	
		$_DIALOG_CONTENT = File::parseFile('./user/content/action_error.php');
		$_ACTIVE_AREA = File::parseFile('./user/template/dialog.html');

	}

?>
